It seems that you're using an outdated browser. Some things may not work as they should (or don't work at all).
We suggest you upgrade newer and better browser like: Chrome, Firefox, Internet Explorer or Opera

×
.../kings_bounty_the_legend/upper_hadar_location_impossible_to_talk_to_npcs

(not allowed to post links)

I used the old executable in order to be able to talk to NPCs in Upper Hadar. The problem is that the main menu screen flickers and that the game runs with a lower framerate when I run this game with kb_old. It would be nice to use the previous executable kb whenever I am not in Upper Hadar but the game crashes when I load the save made with kb_old while running kb.

Just in general, what is supposed to the the version that has no bugs?
This question / problem has been solved by rmeakinsimage
avatar
rngtan: .../kings_bounty_the_legend/upper_hadar_location_impossible_to_talk_to_npcs

(not allowed to post links)

I used the old executable in order to be able to talk to NPCs in Upper Hadar. The problem is that the main menu screen flickers and that the game runs with a lower framerate when I run this game with kb_old. It would be nice to use the previous executable kb whenever I am not in Upper Hadar but the game crashes when I load the save made with kb_old while running kb.

Just in general, what is supposed to the the version that has no bugs?
There's a fix for this issue in another thread:
https://www.gog.com/forum/kings_bounty_series/gogs_kings_bounty_the_legend_v1_7_build_35396_has_some_serious_bugs/post35

1. Download the operationkordarr.jpg file attached to the post above (you might need to right-click and "Save file as..." or similar)
2. Rename the file to operationkordarr.rar
3. Open the file using WinRAR or 7-Zip
4. Extract the contents to C:\GOG Games\Kings Bounty - The Legend\sessions\base\

You should then be able to run the game with the default out-of-the-box executable and Upper Hadar should work properly.
Will definitely try this out. Unfortunately, I don't have any working save files right now but I will report whether it solves the problem.

Weird, I think such an important fix should be a bit more visible.
Reporting back. It looks like the operationkordarr solution doesn't work. Maybe I am doing something wrong - still can't talk to NPCs in Upper Hadar.

Edit: False alarm. Weird, a restart did it. Now it is working as intended.
Post edited June 19, 2016 by rngtan
high rated
Problem with Upper Hadar is because GOG downgraded exe to v1.7 build 34387 in last "update". But resources hadn't been downgraded and still requires at least v1.7 build 35234.

All situation with king's bounty gog version is ridiculous. Firstly they used unfinished build 35396. Then they used cracked exe of build 35234 which was buggy. Finally they downgraded exe to build 34387 but forgotten to downgrade other game files. >_<

The best variant to fix the problem is to use 35234 exe as it is most stable build. Exe from atari version is the best by my opinion. If you need only russian language there are also official russian exe of that build. Of course if you fill adventures then you can downgrade hadar maps as suggested above, but they can be incomplete and build 34387 can contain other bugs.

If anyone interested there are all exe version's of recent builds known to me:
nosferatu.g0x.ru/pub/kb_legend/

One note though: if you save the game on build 35234 then you can't use that save with older builds without manual modification of the save file.